Update Notification Route Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/notifications/routes/{route_id}"
payload = {
"kind": "<string>",
"kinds": ["<string>"],
"kinds_negated": True,
"severity": "<string>",
"cluster_id": "<string>",
"source_id": "<string>",
"destination_id": "<string>",
"priority": 123,
"stop_on_match": True,
"mode": "<string>",
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: '<string>',
kinds: ['<string>'],
kinds_negated: true,
severity: '<string>',
cluster_id: '<string>',
source_id: '<string>',
destination_id: '<string>',
priority: 123,
stop_on_match: true,
mode: '<string>',
enabled: true
})
};
fetch('https://platform.ankra.app/api/v1/org/notifications/routes/{route_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://platform.ankra.app/api/v1/org/notifications/routes/{route_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "<string>",
"kinds": [
"<string>"
],
"kinds_negated": true,
"severity": "<string>",
"cluster_id": "<string>",
"source_id": "<string>",
"destination_id": "<string>",
"priority": 123,
"stop_on_match": true,
"mode": "<string>",
"enabled": true
}
'{
"id": "<string>",
"organisation_id": "<string>",
"kind": "<string>",
"kinds": [
"<string>"
],
"kinds_negated": true,
"severity": "<string>",
"cluster_id": "<string>",
"source_id": "<string>",
"destination_id": "<string>",
"priority": 123,
"stop_on_match": true,
"mode": "<string>",
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Notifications
Update Notification Route Endpoint
PATCH
/
api
/
v1
/
org
/
notifications
/
routes
/
{route_id}
Update Notification Route Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/notifications/routes/{route_id}"
payload = {
"kind": "<string>",
"kinds": ["<string>"],
"kinds_negated": True,
"severity": "<string>",
"cluster_id": "<string>",
"source_id": "<string>",
"destination_id": "<string>",
"priority": 123,
"stop_on_match": True,
"mode": "<string>",
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: '<string>',
kinds: ['<string>'],
kinds_negated: true,
severity: '<string>',
cluster_id: '<string>',
source_id: '<string>',
destination_id: '<string>',
priority: 123,
stop_on_match: true,
mode: '<string>',
enabled: true
})
};
fetch('https://platform.ankra.app/api/v1/org/notifications/routes/{route_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://platform.ankra.app/api/v1/org/notifications/routes/{route_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "<string>",
"kinds": [
"<string>"
],
"kinds_negated": true,
"severity": "<string>",
"cluster_id": "<string>",
"source_id": "<string>",
"destination_id": "<string>",
"priority": 123,
"stop_on_match": true,
"mode": "<string>",
"enabled": true
}
'{
"id": "<string>",
"organisation_id": "<string>",
"kind": "<string>",
"kinds": [
"<string>"
],
"kinds_negated": true,
"severity": "<string>",
"cluster_id": "<string>",
"source_id": "<string>",
"destination_id": "<string>",
"priority": 123,
"stop_on_match": true,
"mode": "<string>",
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful Response